Skip to main content
GET
/
api
/
v1
/
ops
/
credit-grants
/
{creditGrantId}
Get Credit Grant
curl --request GET \
  --url https://api.example.com/api/v1/ops/credit-grants/{creditGrantId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/ops/credit-grants/{creditGrantId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/ops/credit-grants/{creditGrantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "creditGrantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "companyCreditAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "code": "<string>",
  "amount": 123,
  "availableAmount": 123,
  "reservedAmount": 123,
  "usedAmount": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "grantedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "reason": "<string>",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "deletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "startsAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z",
  "canceledAt": "2023-11-07T05:31:56Z",
  "consumedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z"
}
{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}
{
"message": "Missing or invalid access token",
"statusCode": 401
}
{
"message": "Insufficient permissions",
"statusCode": 403
}
{
"message": "Internal Server Error",
"statusCode": 500
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

creditGrantId
string<uuid>
required

Query Parameters

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.

Response

OK

Credit grant

creditGrantId
string<uuid>
required
companyCreditAccountId
string<uuid>
required
organizationId
string<uuid>
required
companyId
string<uuid>
required
customerId
string<uuid>
required
code
string
required
amount
integer
required
availableAmount
integer
required
reservedAmount
integer
required
usedAmount
integer
required
status
enum<string>
required
Available options:
ACTIVE,
SUSPENDED,
EXPIRED,
CONSUMED,
CANCELED
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
grantedByUserId
string<uuid> | null
reason
string | null
createdBy
string<uuid> | null
updatedBy
string<uuid> | null
deletedBy
string<uuid> | null
startsAt
string<date-time> | null
expiresAt
string<date-time> | null
canceledAt
string<date-time> | null
consumedAt
string<date-time> | null
deletedAt
string<date-time> | null